net.sf.jasperreports.engine.design

## Class JRDesignHyperlink

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseHyperlink
  - - net.sf.jasperreports.engine.design.JRDesignHyperlink

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRHyperlink

      public class JRDesignHyperlink
      extends JRBaseHyperlink
      implements JRChangeEventsSupport

  Stand-alone implementation of `JRHyperlink` which should be used for report design purposes.
  Version:
    $Id: JRDesignHyperlink.java 5912 2013-01-31 14:50:33Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_HYPERLINK_ANCHOR_EXPRESSION`
    `static java.lang.String` | `PROPERTY_HYPERLINK_PAGE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_HYPERLINK_PARAMETERS`
    `static java.lang.String` | `PROPERTY_HYPERLINK_REFERENCE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_HYPERLINK_TARGET`
    `static java.lang.String` | `PROPERTY_HYPERLINK_TOOLTIP_EXPRESSION`
    `static java.lang.String` | `PROPERTY_HYPERLINK_WHEN_EXPRESSION`
    `static java.lang.String` | `PROPERTY_LINK_TARGET`
    `static java.lang.String` | `PROPERTY_LINK_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseHyperlink

      `hyperlinkAnchorExpression, hyperlinkPageExpression, hyperlinkReferenceExpression, hyperlinkTooltipExpression, hyperlinkWhenExpression, linkTarget, linkType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignHyperlink()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHyperlinkParameter(JRHyperlinkParameter parameter)` Adds a custom hyperlink parameter.
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `JRHyperlinkParameter[]` | `getHyperlinkParameters()` Returns the list of hyperlink parameters.
    `java.util.List<JRHyperlinkParameter>` | `getHyperlinkParametersList()` Returns the list of custom hyperlink parameters.
    `void` | `removeHyperlinkParameter(JRHyperlinkParameter parameter)` Removes a custom hyperlink parameter.
    `void` | `removeHyperlinkParameter(java.lang.String parameterName)` Removes a custom hyperlink parameter.
    `void` | `setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)` Sets the expression that will generate the referred anchor.
    `void` | `setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)` Sets the expression that will generate the referred page.
    `void` | `setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)` Sets the expression that will generate the hyperlink reference URL or the referred document location.
    `void` | `setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)` Sets the hyperlink target.
    `void` | `setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)` Sets the expression which will be used to generate the hyperlink tooltip.
    `void` | `setHyperlinkType(HyperlinkTypeEnum hyperlinkType)` Sets the link type as a built-in hyperlink type.
    `void` | `setHyperlinkWhenExpression(JRExpression hyperlinkWhenExpression)` Sets the boolean expression that will specify if the hyperlink should be displayed or not.
    `void` | `setLinkTarget(java.lang.String target)` Sets the hyperlink target name.
    `void` | `setLinkType(java.lang.String type)` Sets the hyperlink type.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseHyperlink

      `copyHyperlinkParameters, getHyperlinkAnchorExpression, getHyperlinkPageExpression, getHyperlinkReferenceExpression, getHyperlinkTarget, getHyperlinkTooltipExpression, getHyperlinkType, getHyperlinkTypeValue, getHyperlinkWhenExpression, getLinkTarget, getLinkType`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_HYPERLINK_ANCHOR_EXPRESSION

          public static final java.lang.String PROPERTY_HYPERLINK_ANCHOR_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_PAGE_EXPRESSION

          public static final java.lang.String PROPERTY_HYPERLINK_PAGE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_REFERENCE_EXPRESSION

          public static final java.lang.String PROPERTY_HYPERLINK_REFERENCE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_WHEN_EXPRESSION

          public static final java.lang.String PROPERTY_HYPERLINK_WHEN_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_TARGET

          public static final java.lang.String PROPERTY_HYPERLINK_TARGET

      See Also:
        Constant Field Values

    - #### PROPERTY_LINK_TARGET

          public static final java.lang.String PROPERTY_LINK_TARGET

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_TOOLTIP_EXPRESSION

          public static final java.lang.String PROPERTY_HYPERLINK_TOOLTIP_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_LINK_TYPE

          public static final java.lang.String PROPERTY_LINK_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_HYPERLINK_PARAMETERS

          public static final java.lang.String PROPERTY_HYPERLINK_PARAMETERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignHyperlink

          public JRDesignHyperlink()

  - ### Method Detail

    - #### setHyperlinkType

          public void setHyperlinkType(HyperlinkTypeEnum hyperlinkType)

      Sets the link type as a built-in hyperlink type.
      Parameters:
        `hyperlinkType` - the built-in hyperlink type
      See Also:
        `JRBaseHyperlink.getLinkType()`

    - #### setHyperlinkTarget

          public void setHyperlinkTarget(HyperlinkTargetEnum hyperlinkTarget)

      Sets the hyperlink target.
      Parameters:
        `hyperlinkTarget` - the hyperlink target, one of
        - `HyperlinkTargetEnum.SELF`
        - `HyperlinkTargetEnum.BLANK`
      See Also:
        `JRBaseHyperlink.getHyperlinkTarget()`

    - #### setHyperlinkReferenceExpression

          public void setHyperlinkReferenceExpression(JRExpression hyperlinkReferenceExpression)

      Sets the expression that will generate the hyperlink reference URL or the referred document location.

      This expression is used when the hyperlink type is `HyperlinkTypeEnum.REFERENCE`, `HyperlinkTypeEnum.REMOTE_ANCHOR` or `HyperlinkTypeEnum.REMOTE_PAGE`. The type of the expression should be `java.lang.String`

      Parameters:
        `hyperlinkReferenceExpression` - the reference expression
      See Also:
        `JRBaseHyperlink.getHyperlinkReferenceExpression()`

    - #### setHyperlinkWhenExpression

          public void setHyperlinkWhenExpression(JRExpression hyperlinkWhenExpression)

      Sets the boolean expression that will specify if the hyperlink should be displayed or not.

    - #### setHyperlinkAnchorExpression

          public void setHyperlinkAnchorExpression(JRExpression hyperlinkAnchorExpression)

      Sets the expression that will generate the referred anchor.

      This expression is used when the hyperlink type is `HyperlinkTypeEnum.LOCAL_ANCHOR` or `HyperlinkTypeEnum.REMOTE_ANCHOR`. The type of the expression should be `java.lang.String`

      Parameters:
        `hyperlinkAnchorExpression` - the anchor expression
      See Also:
        `JRBaseHyperlink.getHyperlinkAnchorExpression()`

    - #### setHyperlinkPageExpression

          public void setHyperlinkPageExpression(JRExpression hyperlinkPageExpression)

      Sets the expression that will generate the referred page.

      This expression is used when the hyperlink type is `HyperlinkTypeEnum.LOCAL_PAGE` or `HyperlinkTypeEnum.REMOTE_PAGE`. The type of the expression should be `java.lang.Integer`

      Parameters:
        `hyperlinkPageExpression` - the page expression
      See Also:
        `JRBaseHyperlink.getHyperlinkPageExpression()`

    - #### setLinkType

          public void setLinkType(java.lang.String type)

      Sets the hyperlink type.

      The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

      Parameters:
        `type` - the hyperlink type

    - #### setLinkTarget

          public void setLinkTarget(java.lang.String target)

      Sets the hyperlink target name.

      The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

      Parameters:
        `target` - the hyperlink target name

    - #### getHyperlinkParameters

          public JRHyperlinkParameter[] getHyperlinkParameters()

      Description copied from interface: `JRHyperlink`
      Returns the list of hyperlink parameters.

      The parameters can be used by custom hyperlink types to generate dynamic links.

      Specified by:
        `getHyperlinkParameters` in interface `JRHyperlink`
      Overrides:
        `getHyperlinkParameters` in class `JRBaseHyperlink`
      Returns:
        the list of hyperlink parameters

    - #### getHyperlinkParametersList

          public java.util.List<JRHyperlinkParameter> getHyperlinkParametersList()

      Returns the list of custom hyperlink parameters.
      Returns:
        the list of custom hyperlink parameters

    - #### addHyperlinkParameter

          public void addHyperlinkParameter(JRHyperlinkParameter parameter)

      Adds a custom hyperlink parameter.
      Parameters:
        `parameter` - the parameter to add

    - #### removeHyperlinkParameter

          public void removeHyperlinkParameter(JRHyperlinkParameter parameter)

      Removes a custom hyperlink parameter.
      Parameters:
        `parameter` - the parameter to remove

    - #### removeHyperlinkParameter

          public void removeHyperlinkParameter(java.lang.String parameterName)

      Removes a custom hyperlink parameter.

      If multiple parameters having the specified name exist, all of them will be removed

      Parameters:
        `parameterName` - the parameter name

    - #### setHyperlinkTooltipExpression

          public void setHyperlinkTooltipExpression(JRExpression hyperlinkTooltipExpression)

      Sets the expression which will be used to generate the hyperlink tooltip. The type of the expression should be `java.lang.String`.
      Parameters:
        `hyperlinkTooltipExpression` - the expression which will be used to generate the hyperlink tooltip
      See Also:
        `JRBaseHyperlink.getHyperlinkTooltipExpression()`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseHyperlink`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com